export declare const clamp: (value: number, min: number, max: number) => number;
export declare function getPosition({ value, min, max }: {
    value: number;
    min: number;
    max: number;
}): number;
export declare function getPrecision(step: number): number;
export declare function getFloatingValue(value: number, precision: number): number;
export declare function getChangeValue({ value, containerWidth, min, max, step, precision, }: {
    value: number;
    containerWidth?: number;
    min: number;
    max: number;
    step: number;
    precision?: number;
}): number;
export declare function getNextMarkValue(current: number, marks: {
    value: number;
}[]): number;
export declare function getPreviousMarkValue(current: number, marks: {
    value: number;
}[]): number;
export declare function findClosest(value: number, values: number[]): number;
export declare function isMarkFilled({ mark, offset, value, inverted, startPointValue, }: {
    mark: {
        value: number;
    };
    offset?: number;
    value: number;
    inverted?: boolean;
    startPointValue?: number;
}): boolean;
